import 'package:flutter/material.dart';
import 'book.dart';
import 'package:iroute/iroute.dart';

class BooksListScreen extends StatelessWidget {
  //final List<Book> books;
  //final ValueChanged<Book> onTapped;

  BooksListScreen();

  @override
  Widget build(BuildContext context) {
    //将当前路由设置为pop的目标
    //问题！！  为何，这里会出现其它的路由？即不等于/
    //按道理，只有当前url为/才能进入这个build
    if (IRouteState().currentConfiguration == '/') {
      print('进入主页：url正确，为/');
    } else {
      print('进入主页，url错误，为${IRouteState().currentConfiguration}');
      //print('pageList的当前值是：${IRouteNested.of(context).pageList.url}');
      //pop的时候，url是setting，然后进入appShell，结果先显示了根目录，但url没改
    }
    return Scaffold(
      //appBar: AppBar(),
      body: ListView(
        children: [
          for (var book in books)
            ListTile(
              title: Text(book.title),
              subtitle: Text(book.author),
              onTap: () {
                IRoute.of(context)
                    .push('/book/:iid=${Book.getIdByBook(book, books)}');
              },
            )
        ],
      ),
    );
  }
}
