import 'package:flutter/material.dart';
import 'package:iroute/iroute.dart';

class IRouteApp extends StatefulWidget {
  IRouteApp({
    required this.routes,
    required this.pageList,
  });
  final Map<String, RouteBuilder> routes;
  final PageList pageList;
  @override
  State<StatefulWidget> createState() =>
      _IRouteAppState(routes: routes, pageList: pageList);
}

class _IRouteAppState extends State<IRouteApp> {
  _IRouteAppState({
    required this.routes,
    required this.pageList,
  });
  final Map<String, RouteBuilder> routes;
  final PageList pageList;

  final IRouteInformationParser mainRouteInformationParser =
      IRouteInformationParser();
  @override
  Widget build(BuildContext context) {
    return MaterialApp.router(
      title: 'Books App',
      routerDelegate: IRoute(pageList: pageList, routes: routes),
      routeInformationParser: mainRouteInformationParser,
      debugShowCheckedModeBanner: false,
    );
  }
}
