import 'package:flutter/material.dart';
import 'package:flutter/foundation.dart';

class IRouteInformationParser extends RouteInformationParser<String> {
  @override
  Future<String> parseRouteInformation(RouteInformation routeInformation) {
    //print('parse:routeInformation.location= ${routeInformation.location}');
    return SynchronousFuture(routeInformation.location!);
  }

  @override
  RouteInformation restoreRouteInformation(String configuration) {
    //print('restore:configuration=$configuration');
    return RouteInformation(location: configuration);
  }
}
