import 'package:flutter/material.dart';
import 'package:iroute/iroute.dart';

class PageSettings extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    if (IRouteState().currentConfiguration == '/settings:ipage=1') {
      print('进入设置页：url正确为:/settings:ipage=1');
    } else {
      print('进入设置页，url错误，为${IRouteState().currentConfiguration}');
      //print('pageList的当前值是：${IRouteNested.of(context).pageList.url}');
      //pop的时候，url是setting，然后进入appShell，结果先显示了根目录，但url没改
    }

    return Scaffold(
      body: Center(
        child: TextButton(
          onPressed: () {
            Navigator.of(context).pop();
          },
          child: Text('settings,click to Back'),
        ),
      ),
    );
  }
}
