import 'package:flutter/material.dart';
import 'package:iroute/iroute.dart';

import 'routes.dart';

class BooksApp extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _BooksAppState();
}

class _BooksAppState extends State<BooksApp> {
  final IRoute mainRouterDelegate = IRoute(routes: routes);
  final IRouteInformationParser mainRouteInformationParser =
      IRouteInformationParser();
  late final IRouteState iRouteState;

  @override
  void initState() {
    super.initState();
    iRouteState = IRouteState();
  }

  @override
  Widget build(BuildContext context) {
    //print('app build');
    return MaterialApp.router(
      title: 'Books App',
      routerDelegate: mainRouterDelegate,
      routeInformationParser: mainRouteInformationParser,
      debugShowCheckedModeBanner: false,
    );
  }
}
